Name:           mutter-moblin
Version:        0.39.3
Release:        1%{?dist}
Summary:        Moblin Netbook plugin for Mutter

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-menus-devel
BuildRequires: gtk2-devel
BuildRequires: mutter-devel
BuildRequires: nbtk-devel
BuildRequires: startup-notification-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: redhat-menus
Requires: mutter

%description
Moblin Netbook plugin for Mutter. This is the main gui interface to Moblin.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static --enable-scaled-background
export LD_AS_NEEDED=1
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang mutter-moblin-netbook-plugin

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mutter-moblin-netbook-plugin.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/lib*.so.*
%{_libdir}/mutter/plugins/moblin-netbook.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/moblin-panel.pc
%{_includedir}/libmoblin-panel

%changelog
* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.3-1
- New 0.39.3 upstream release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.2-1
- New 0.39.2 upstream release

* Tue Sep 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.1-1
- New 0.39.1 upstream release

* Mon Sep 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.0-1
- New 0.39.0 upstream release

* Fri Sep 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.3-1
- New 0.38.3 upstream release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.2-1
- New 0.38.2 upstream release

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.0-1
- New 0.38.0 upstream release

* Thu Sep  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.5-1
- New 0.35.5 upstream release

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.4-1
- New 0.35.4 upstream release

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-3
- Require mutter

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-2
- Move a needed file from devel to main package

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-1
- New 0.34.3 upstream release.

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.2-1
- New 0.34.2 upstream release.

* Tue Aug 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.0-1
- New 0.34.0 upstream release.
- Drop bits that have split to sub packages and associated deps

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.3-1
- New 0.32.3 upstream release, spec file cleanups

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.2-1
- New 0.32.2 upstream release, add new build requirements

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.30.3-1
- Initial packaging
